Bug 111038

Summary: Refresh problems with gnome-terminal + screen
Product: [Fedora] Fedora Reporter: Michael Soulier <msoulier>
Component: gnome-terminalAssignee: Ray Strode [halfline] <rstrode>
Status: CLOSED WONTFIX QA Contact:
Severity: high Docs Contact:
Priority: medium    
Version: 1CC: barryn
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2005-05-11 18:12:41 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michael Soulier 2003-11-26 11:38:20 EST
I prefer to use screen over the multi functionality in gnome-terminal,
for various reasons, and I am finding refresh problems in
gnome-terminal when used with screen. These problems do not happen in
xterm, or any other terminal I've tried, so I'm opening this bug
against gnome-terminal.

Often, gnome-terminal will write past the menu that I have screen
displaying at the bottom of the terminal. Sometimes, the terminal will
go blank suddenly, like when using Vim. In both cases, jumping to
another screen and back both restores the menu and fixes the screen
display, until it happens next time.

I don't think these apps are getting along, as it were, and I don't
suspect screen at this time. It works perfectly in xterm, for example.

These problems are sporadic and difficult to predict, but they are
most annoying when they happen. If I can assist in any way, please
don't hesitate to ask.
Comment 1 Michael Soulier 2003-11-27 16:44:59 EST
It also works improperly with bash command-line editing.

If I pull up and old command, C-a to the beginning of the line, and
begin deleting that line with C-d repeatedly, characters begin
appearing before the prompt, and the cursor is pushed to the right.
The representation of the line is then incorrect, and I have to hit
C-l to refresh the screen and figure out what I'm really about to type.

This does not happen in xterm, it works perfectly.
Comment 2 Michael Soulier 2003-11-27 16:47:33 EST
> This does not happen in xterm, it works perfectly.

Workaround. If I detach the screen, and reattach, something is
apparently reset, and it works fine again.
Comment 3 Michael J. Cohen 2004-02-21 20:30:28 EST
same problem here on every version of fedora I've tried.
Comment 4 Barry K. Nathan 2004-03-26 09:01:39 EST
I've had this since Red Hat 8.0. However, I finally found what seems
to be a quickly reproducible test case [update: sometimes it
reproduces the problem real fast and sometimes it never reproduces the
problem]:

1. Start a screen session in gnome-terminal.
2. Start an xterm (or something else that isn't a gnome-terminal) and
attach to the same screen session.
3. Run "alsamixer" in the screen session.
4. Making sure that you can see most portions of both terminal
windows, repeatedly and quickly hit Control-L. It usually doesn't take
long for corruption to appear -- and if you hit Control-L so fast that
you refreshed over the corruption, just take a few seconds to hit it
some more until the corruption comes back...
Comment 5 Ray Strode [halfline] 2005-05-11 18:12:41 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.